''' Block Comment
Programming Basics
Principles on Naming Conventions
TitleCase > FileNames, Class Name, Factory Names, ...
UPPERCASE > PROVIDERNAMES, INPUTS, OUTPUT, I/O, ....
lowercase > variablenames, functionnames, ...
snake_case or underscore_case > _ in the name, lowercase
camelCase > functionNames, methodNames, ...
'''

# Line Comment
# Python Core Functions
# print() function used to output to sysout
# sysout default is terminal

# inputs for firstname and lastname
# input() function to ask the user for the data
# input() function is always string data type
input_firstname = input("Enter your first name: ")
input_lastname = input("Enter your last name: ")
# Ask the user to input their age using the input() and convert the input() to an int(), and then output what their age is going to be in 10 years, being as Pythonic as possible.
## age input() as int()
input_age = int( input("Enter your age: ") )

## Add 10 years to the age
var1 = 10
ageIn10Years = input_age + var1  # var + var NOT var + int

# variables for the data set coming from the input()
firstname = input_firstname
lastname = input_lastname

# fullname variable using a firstname and lastname variable
fullname = firstname + " " +  lastname # Bob Smith

# Output the print result to the terminal
print(f"My name is {fullname}. I am currently {input_age} and in {var1} years I will be {ageIn10Years}.")


# EOF filename.py